<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>

    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-4bw+/aepP/YC94hEpVNVgiZdgIC5+VKNBQNGCHeKRQN+PtmoHDEXuppvnDJzQIu9"
      crossorigin="anonymous"
    />
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-HwwvtgBNo3bZJJLYd8oVXjrBZt8cqVSpeBNS5n7C8IVInixGAoxmnlMuBnhbgrkm"
      crossorigin="anonymous"
    ></script>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>

    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Squada+One&display=swap"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=Inter&display=swap"
      rel="stylesheet"
    />

    <link href="https://fonts.cdnfonts.com/css/gilroy-bold" rel="stylesheet" />
    <link
      href="https://fonts.cdnfonts.com/css/sf-pro-display"
      rel="stylesheet"
    />

    <link rel="stylesheet" href="style.css" />
  </head>
  <body>
    <div
      class="header-section min-vh-100"
      style="background: var(--primary-green, #1ac073);"
    >
      <nav
        class="navbar navbar-expand-lg"
        style="background: var(--primary-green, #1ac073);"
      >
        <div class="container">
          <a class="navbar-brand what2eat" href="#">WHAT2EAT</a>
          <button
            class="navbar-toggler"
            type="button"
            data-bs-toggle="collapse"
            data-bs-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mb-2 mb-lg-0 centering-margin-lr">
              <li class="nav-item mx-1">
                <a
                  class="nav-link active link-light"
                  aria-current="page"
                  href="#"
                  >Home</a
                >
              </li>
              <li class="nav-item mx-1">
                <a
                  class="nav-link active link-light"
                  aria-current="page"
                  href="#"
                  >About</a
                >
              </li>
              <li class="nav-item mx-1">
                <a
                  class="nav-link active link-light"
                  aria-current="page"
                  href="#"
                  >Menu</a
                >
              </li>
              <li class="nav-item mx-1">
                <a
                  class="nav-link active link-light"
                  aria-current="page"
                  href="#"
                  >Blog</a
                >
              </li>
              <li class="nav-item mx-1">
                <a
                  class="nav-link active link-light"
                  aria-current="page"
                  href="#"
                  >Contact</a
                >
              </li>
            </ul>
            <div class="d-flex">
              <img
                class="nav-bar-icon"
                style="margin-right: 1rem;"
                src="images/akar-icons_search.png"
                alt=""
              />
              <img
                id="img-shopping-bag"
                class="nav-bar-icon"
                src="images/akar-icons_shopping-bag.png"
                alt=""
              />
            </div>
          </div>
        </div>
      </nav>

      <div class="row">
        <div class="col-lg-6" style="padding-left: 6rem;">
          <div class="tittle">Authentic Home food in UK</div>
          <div class="sub-tittle">
            What2Eat is a courier service in which authentic home cook food is
            delivered to a customer.
          </div>
          <div
            class="input-group"
            style="margin-top: 40px; margin-bottom: 233px; max-width: 80%;"
          >
            <input
              type="text"
              class="form-control border-0"
              name="x"
              placeholder="Search food you love"
            />
            <span
              class="input-group-text bg-warning text-light border-0"
              id="addon-wrapping"
              >Search</span
            >
          </div>
        </div>
        <div class="col-lg-6">
          <div class="centering-flex" style="height: 100%;">
            <div class="bg-image"></div>
          </div>
        </div>
      </div>
    </div>

    <div
      class="kitchen-section container-fluid"
      style="background: #f7f8fa; padding: 3rem;"
    >
      <div class="row">
        <div class="home-kit">Home Kitchen</div>
        <div class="ks-menu">
          <div class="all break">All</div>
          <div class="yello-not-selected break">Button</div>
          <div class="yello-not-selected break">Free delivery</div>
          <div class="yello-not-selected break">New</div>
          <div
            class="yello-not-selected break"
            style="border-radius: 0px 10px 10px 0px;"
          >
            Coming
          </div>
        </div>
      </div>

      <div class="row mt-4 mb-5">
        <div class="col-lg-3">
          <div class="my-filter">
            <div>Filters</div>
            <img
              src="images/vector-filter-arrow.png"
              alt=""
              style="width: 14px; height: 10px;"
            />
          </div>
        </div>
      </div>

      <div class="row" id="card-container"></div>

      <div class="text-center">
        <button class="btn-load-more">+ Load more...</button>
      </div>
    </div>

    <div class="blog-section container-fluid">
      <div class="mx-lg-16 mx-5">
        <div class="our-blog">Our Blog</div>
        <div class="blog-container" id="div-blog-container"></div>
      </div>
    </div>

    <div
      class="contact-section container-fluid"
      style="background-color: #f7f8fa;"
    >
      <div class="container">
        <div class="row">
          <div class="col-lg-6">
            <div class="contact-tittle">
              Do you have a question or want to become a seller?
            </div>
            <div class="contact-sub-tittle">
              Fill this form and our manager will contact you next 48 hours.
            </div>
            <form action="">
              <div class="row mt-4 mb-3">
                <div class="col-lg-6 mb-3 mb-lg-0">
                  <div class="form-group">
                    <input
                      type="text"
                      class="form-control"
                      placeholder="Your Name"
                    />
                  </div>
                </div>

                <div class="col-lg-6">
                  <div class="form-group">
                    <input
                      type="text"
                      class="form-control"
                      placeholder="Your e-mail"
                    />
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-lg-12">
                  <div class="form-group">
                    <textarea
                      class="form-control"
                      placeholder="Your message"
                      style="height: 20vw;"
                    ></textarea>
                  </div>
                </div>
              </div>
              <button class="contact-button">Send Question</button>
            </form>
          </div>
          <div class="col-lg-6 contact-right-content-c">
            <img
              class="img-responsive"
              src="images/Food_delivery_man_riding_motorcycles.png"
              alt=""
            />
          </div>
        </div>
      </div>
    </div>

    <div
      style="background: var(--primary-green, #1ac073); padding-bottom: 1rem;"
    >
      <div class="container">
        <nav
          class="navbar navbar-expand-lg"
          style="background: var(--primary-green, #1ac073);"
        >
          <div class="container">
            <a class="navbar-brand what2eat" href="#">WHAT2EAT</a>
            <button
              class="navbar-toggler"
              type="button"
              data-bs-toggle="collapse"
              data-bs-target="#navbarSupportedContent"
              aria-controls="navbarSupportedContent"
              aria-expanded="false"
              aria-label="Toggle navigation"
            >
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav mb-2 mb-lg-0 centering-margin-lr">
                <li class="nav-item mx-1">
                  <a
                    class="nav-link active link-light"
                    aria-current="page"
                    href="#"
                    >Home</a
                  >
                </li>
                <li class="nav-item mx-1">
                  <a
                    class="nav-link active link-light"
                    aria-current="page"
                    href="#"
                    >About</a
                  >
                </li>
                <li class="nav-item mx-1">
                  <a
                    class="nav-link active link-light"
                    aria-current="page"
                    href="#"
                    >Menu</a
                  >
                </li>
                <li class="nav-item mx-1">
                  <a
                    class="nav-link active link-light"
                    aria-current="page"
                    href="#"
                    >Blog</a
                  >
                </li>
                <li class="nav-item mx-1">
                  <a
                    class="nav-link active link-light"
                    aria-current="page"
                    href="#"
                    >Contact</a
                  >
                </li>
              </ul>
              <div class="d-flex">
                <div
                  class="nav-bar-icon face-icon-container centering-flex nav-bar-icon"
                >
                  <img
                    src="images/facebook-icon.png"
                    style="height: 15px;"
                    alt=""
                  />
                </div>
                <img
                  class="nav-bar-icon"
                  src="images/iconoir_footer2.png"
                  alt=""
                />
              </div>
            </div>
          </div>
        </nav>
        <div class="container">
          <div class="divider"></div>
        </div>
      </div>
      <div class="copyright text-center">Copyright @2021 What2Eat</div>
    </div>
  </body>
</html>

<script>
  $(document).ready(function () {
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gBASE_URL = "https://64747ed27de100807b1b0fa4.mockapi.io/api/v1/";
    var gGioHang = [];
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    onPageLoading();
    $(document).on("click", ".btn-add-to-cart", function () {
      onBtnAddToCartClick(this);
    });
    $("#img-shopping-bag").on("click", function () {
      window.location.href = "gioHang.html";
    });
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";
      //localStorage.clear();
      var vGioHangString = localStorage.getItem("gioHang");
      if (vGioHangString != null) {
        gGioHang = JSON.parse(vGioHangString);
        if (gGioHang.length > 0) {
          $("#img-shopping-bag").attr(
            "src",
            "images/akar-icons_shopping-bag-yellow.png"
          );
        }
      }

      $.ajax({
        url: gBASE_URL + "pizza",
        type: "GET",
        dataType: "json", // added data type
        success: function (res) {
          console.log(res);
          loadToCard(res);
        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
        },
      });

      $.ajax({
        url: gBASE_URL + "blogs",
        type: "GET",
        dataType: "json", // added data type
        success: function (res) {
          console.log(res);
          loadToBlogCard(res);
        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
        },
      });
    }

    //hàm thực thi khi nút + add to cart được ấn
    function onBtnAddToCartClick(paramElement) {
      var vId = $(paramElement).attr("id");
      if (gGioHang.includes(vId) == false) {
        gGioHang.push(vId);
        console.log(gGioHang);
        localStorage.setItem("gioHang", JSON.stringify(gGioHang));
        $("#img-shopping-bag").attr(
          "src",
          "images/akar-icons_shopping-bag-yellow.png"
        );
      }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // Hàm load dữ liệu vào card
    function loadToCard(paramData) {
      "use strict";
      for (var bI = 0; bI < paramData.length; bI++) {
        var bOject = paramData[bI];
        var bHtml = `
              <div class="col-lg-3 col-md-6 mb-5">
                <div
                  class="card-img-top my-card-img"
                  style="background-image: url('${bOject.imageUrl}');"
                ></div>
                <div class="card-body my-card-body">
                  <div
                    style="
                      display: flex;
                      justify-content: space-between;
                      margin-top: 5px;
                      margin-bottom: 16px;
                    "
                  >
                    <div class="card-tittle">${bOject.name}</div>
                    <div class="card-tittle">$${bOject.price}</div>
                  </div>
                  <div style="display: flex; justify-content: space-between;">
                    <div style="display: flex;">
                      <div class="card-rating-m">
                        <img
                          src="images/ant-design_star-filled.png"
                          style="width: 16px; height: 16px;"
                          alt=""
                        />
                        <div class="card-detail">${bOject.rating}</div>
                      </div>
                      <div class="card-detail card-rating">${bOject.time}</div>
                    </div>
                    <button
                      id="${bOject.id}"
                      class="btn-add-to-cart"
                    >
                      <img
                      src="images/iconoir_add-to-cart.png"
                      style="width: 20px; height: 20px; display: block"
                      />
                    </button>
                  </div>
                </div>
              </div>
              `;
        $("#card-container").append(bHtml);
      }
    }

    // Hàm load dữ liệu vào blog card
    function loadToBlogCard(paramData) {
      "use strict";
      for (var bI = 0; bI < paramData.length; bI++) {
        var bOject = paramData[bI];
        var bHtml = `
        <div class="blog-grid-item${bI + 1}">
            <div
              class="card-img-top my-card-img"
              style="background-image: url('${bOject.imageUrl}');"
            ></div>
            <div class="card-body my-card-body blog-card-body">
              <div class="blog-tittle mb-1">
                ${bOject.title}
              </div>
              <div class="blog-sub-tittle">
                ${bOject.description}
              </div>
            </div>
          </div>
        `;
        $("#div-blog-container").append(bHtml);
      }
    }
  });
</script>
